Ipopt 3.12.10

- Main Page
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Classes | Macros | Typedefs | Functions
hsl_ma97d.h File Reference

Go to the source code of this file.

## Classes
struct | ma97_control_d
struct | ma97_info

## Macros
#define | ma97_control ma97_control_d
#define | ma97_info ma97_info_d
#define | ma97_default_control ma97_default_control_d
#define | ma97_analyse ma97_analyse_d
#define | ma97_analyse_coord ma97_analyse_coord_d
#define | ma97_factor ma97_factor_d
#define | ma97_factor_solve ma97_factor_solve_d
#define | ma97_solve ma97_solve_d
#define | ma97_free_akeep ma97_free_akeep_d
#define | ma97_free_fkeep ma97_free_fkeep_d
#define | ma97_finalise ma97_finalise_d
#define | ma97_enquire_posdef ma97_enquire_posdef_d
#define | ma97_enquire_indef ma97_enquire_indef_d
#define | ma97_alter ma97_alter_d
#define | ma97_solve_fredholm ma97_solve_fredholm_d
#define | ma97_lmultiply ma97_lmultiply_d
#define | ma97_sparse_fwd_solve ma97_sparse_fwd_solve_d

## Typedefs
typedef double | ma97pkgtype_d_
typedef double | ma97realtype_d_

## Functions
void | ma97_default_control_d (struct ma97_control_d *control)
void | ma97_analyse_d (int check, int n, const int ptr[], const int row[], ma97pkgtype_d_ val[], void **akeep, const struct ma97_control_d *control, struct ma97_info_d *info, int order[])
void | ma97_analyse_coord_d (int n, int ne, const int row[], const int col[], ma97pkgtype_d_ val[], void **akeep, const struct ma97_control_d *control, struct ma97_info_d *info, int order[])
void | ma97_factor_d (int matrix_type, const int ptr[], const int row[], const ma97pkgtype_d_ val[], void **akeep, void **fkeep, const struct ma97_control_d *control, struct ma97_info_d *info, ma97realtype_d_ scale[])
void | ma97_factor_solve_d (int matrix_type, const int ptr[], const int row[], const ma97pkgtype_d_ val[], int nrhs, ma97pkgtype_d_ x[], int ldx, void **akeep, void **fkeep, const struct ma97_control_d *control, struct ma97_info_d *info, ma97realtype_d_ scale[])
void | ma97_solve_d (int job, int nrhs, ma97pkgtype_d_ x[], int ldx, void **akeep, void **fkeep, const struct ma97_control_d *control, struct ma97_info_d *info)
void | ma97_free_akeep_d (void **akeep)
void | ma97_free_fkeep_d (void **fkeep)
void | ma97_finalise_d (void **akeep, void **fkeep)
void | ma97_enquire_posdef_d (void **akeep, void **fkeep, const struct ma97_control *control, struct ma97_info *info, ma97realtype_d_ d[])
void | ma97_enquire_indef_d (void **akeep, void **fkeep, const struct ma97_control *control, struct ma97_info *info, int *piv_order, ma97pkgtype_d_ *d)
void | ma97_alter_d (const ma97pkgtype_d_ d[], void **akeep, void **fkeep, const struct ma97_control *control, struct ma97_info *info)
void | ma97_solve_fredholm_d (int nrhs, int flag_out[], ma97pkgtype_d_ x[], int ldx, void **akeep, void **fkeep, const struct ma97_control_d *control, struct ma97_info_d *info)
void | ma97_lmultiply_d (int trans, int k, const ma97pkgtype_d_ x[], int ldx, ma97pkgtype_d_ y[], int ldy, void **akeep, void **fkeep, const struct ma97_control_d *control, struct ma97_info_d *info)
void | ma97_sparse_fwd_solve_d (int nbi, const int bindex[], const ma97pkgtype_d_ b[], const int order[], int *nxi, int xindex[], ma97pkgtype_d_ x[], void **akeep, void **fkeep, const struct ma97_control_d *control, struct ma97_info_d *info)

## Macro Definition Documentation

#define ma97_control ma97_control_d

Definition at line 13 of file hsl_ma97d.h.

#define ma97_info ma97_info_d

Definition at line 14 of file hsl_ma97d.h.

#define ma97_default_control ma97_default_control_d

Definition at line 15 of file hsl_ma97d.h.

#define ma97_analyse ma97_analyse_d

Definition at line 16 of file hsl_ma97d.h.

#define ma97_analyse_coord ma97_analyse_coord_d

Definition at line 17 of file hsl_ma97d.h.

#define ma97_factor ma97_factor_d

Definition at line 18 of file hsl_ma97d.h.

#define ma97_factor_solve ma97_factor_solve_d

Definition at line 19 of file hsl_ma97d.h.

#define ma97_solve ma97_solve_d

Definition at line 20 of file hsl_ma97d.h.

#define ma97_free_akeep ma97_free_akeep_d

Definition at line 21 of file hsl_ma97d.h.

#define ma97_free_fkeep ma97_free_fkeep_d

Definition at line 22 of file hsl_ma97d.h.

#define ma97_finalise ma97_finalise_d

Definition at line 23 of file hsl_ma97d.h.

#define ma97_enquire_posdef ma97_enquire_posdef_d

Definition at line 24 of file hsl_ma97d.h.

#define ma97_enquire_indef ma97_enquire_indef_d

Definition at line 25 of file hsl_ma97d.h.

#define ma97_alter ma97_alter_d

Definition at line 26 of file hsl_ma97d.h.

#define ma97_solve_fredholm ma97_solve_fredholm_d

Definition at line 27 of file hsl_ma97d.h.

#define ma97_lmultiply ma97_lmultiply_d

Definition at line 28 of file hsl_ma97d.h.

#define ma97_sparse_fwd_solve ma97_sparse_fwd_solve_d

Definition at line 29 of file hsl_ma97d.h.

## Typedef Documentation

typedef double ma97pkgtype_d_

Definition at line 32 of file hsl_ma97d.h.

typedef double ma97realtype_d_

Definition at line 33 of file hsl_ma97d.h.

## Function Documentation

void ma97_default_control_d | ( | struct ma97_control_d * | control | ) |

void ma97_analyse_d | ( | int | check,
|  | int | n,
|  | const int | ptr[],
|  | const int | row[],
|  | ma97pkgtype_d_ | val[],
|  | void ** | akeep,
|  | const struct ma97_control_d * | control,
|  | struct ma97_info_d * | info,
|  | int | order[]
| ) |  |

void ma97_analyse_coord_d | ( | int | n,
|  | int | ne,
|  | const int | row[],
|  | const int | col[],
|  | ma97pkgtype_d_ | val[],
|  | void ** | akeep,
|  | const struct ma97_control_d * | control,
|  | struct ma97_info_d * | info,
|  | int | order[]
| ) |  |

void ma97_factor_d | ( | int | matrix_type,
|  | const int | ptr[],
|  | const int | row[],
|  | const ma97pkgtype_d_ | val[],
|  | void ** | akeep,
|  | void ** | fkeep,
|  | const struct ma97_control_d * | control,
|  | struct ma97_info_d * | info,
|  | ma97realtype_d_ | scale[]
| ) |  |

void ma97_factor_solve_d | ( | int | matrix_type,
|  | const int | ptr[],
|  | const int | row[],
|  | const ma97pkgtype_d_ | val[],
|  | int | nrhs,
|  | ma97pkgtype_d_ | x[],
|  | int | ldx,
|  | void ** | akeep,
|  | void ** | fkeep,
|  | const struct ma97_control_d * | control,
|  | struct ma97_info_d * | info,
|  | ma97realtype_d_ | scale[]
| ) |  |

void ma97_solve_d | ( | int | job,
|  | int | nrhs,
|  | ma97pkgtype_d_ | x[],
|  | int | ldx,
|  | void ** | akeep,
|  | void ** | fkeep,
|  | const struct ma97_control_d * | control,
|  | struct ma97_info_d * | info
| ) |  |

void ma97_free_akeep_d | ( | void ** | akeep | ) |

void ma97_free_fkeep_d | ( | void ** | fkeep | ) |

void ma97_finalise_d | ( | void ** | akeep,
|  | void ** | fkeep
| ) |  |

void ma97_enquire_posdef_d | ( | void ** | akeep,
|  | void ** | fkeep,
|  | const struct ma97_control * | control,
|  | struct ma97_info * | info,
|  | ma97realtype_d_ | d[]
| ) |  |

void ma97_enquire_indef_d | ( | void ** | akeep,
|  | void ** | fkeep,
|  | const struct ma97_control * | control,
|  | struct ma97_info * | info,
|  | int * | piv_order,
|  | ma97pkgtype_d_ * | d
| ) |  |

void ma97_alter_d | ( | const ma97pkgtype_d_ | d[],
|  | void ** | akeep,
|  | void ** | fkeep,
|  | const struct ma97_control * | control,
|  | struct ma97_info * | info
| ) |  |

void ma97_solve_fredholm_d | ( | int | nrhs,
|  | int | flag_out[],
|  | ma97pkgtype_d_ | x[],
|  | int | ldx,
|  | void ** | akeep,
|  | void ** | fkeep,
|  | const struct ma97_control_d * | control,
|  | struct ma97_info_d * | info
| ) |  |

void ma97_lmultiply_d | ( | int | trans,
|  | int | k,
|  | const ma97pkgtype_d_ | x[],
|  | int | ldx,
|  | ma97pkgtype_d_ | y[],
|  | int | ldy,
|  | void ** | akeep,
|  | void ** | fkeep,
|  | const struct ma97_control_d * | control,
|  | struct ma97_info_d * | info
| ) |  |

void ma97_sparse_fwd_solve_d | ( | int | nbi,
|  | const int | bindex[],
|  | const ma97pkgtype_d_ | b[],
|  | const int | order[],
|  | int * | nxi,
|  | int | xindex[],
|  | ma97pkgtype_d_ | x[],
|  | void ** | akeep,
|  | void ** | fkeep,
|  | const struct ma97_control_d * | control,
|  | struct ma97_info_d * | info
| ) |  |